<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PetscReal</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PetscReal"><H1>PetscReal</H1></A>
PETSc type that represents a real number version of <A HREF="../Sys/PetscScalar.html#PetscScalar">PetscScalar</A> 
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Sys/PetscScalar.html#PetscScalar">PetscScalar</A>, <A HREF="../Sys/PassiveReal.html#PassiveReal">PassiveReal</A>, <A HREF="../Sys/PassiveScalar.html#PassiveScalar">PassiveScalar</A>
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../include/petsc.h.html#PetscReal">include/petsc.h</A>
<BR><A HREF="./index.html">Index of all Sys routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
<P><H3><FONT COLOR="#CC3333">Examples</FONT></H3>
<A HREF="../../../src/vec/vec/examples/tutorials/ex1e.c.html">src/vec/vec/examples/tutorials/ex1e.c.html</A><BR>
<A HREF="../../../src/vec/vec/examples/tutorials/ex3.c.html">src/vec/vec/examples/tutorials/ex3.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex3.c.html">src/ksp/ksp/examples/tutorials/ex3.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex9.c.html">src/ksp/ksp/examples/tutorials/ex9.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex10.c.html">src/ksp/ksp/examples/tutorials/ex10.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex16.c.html">src/ksp/ksp/examples/tutorials/ex16.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex22.c.html">src/ksp/ksp/examples/tutorials/ex22.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex25.c.html">src/ksp/ksp/examples/tutorials/ex25.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex28.c.html">src/ksp/ksp/examples/tutorials/ex28.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex29.c.html">src/ksp/ksp/examples/tutorials/ex29.c.html</A><BR>
<A HREF="../../../src/ksp/ksp/examples/tutorials/ex32.c.html">src/ksp/ksp/examples/tutorials/ex32.c.html</A><BR>
</BODY></HTML>
